# User's guide: working with analyses

The `Analysis` type represents the results of analyzing a string morphologically.

The `AnalyzedToken` type associates a Vector of `Analysis` objects with a citable token.  The `AnalyzedToken` should cite the text at the level of the individual token, normally by expanding the citation hierarchy on level to identify tokens within a canonically citable unit.  The Vector of analyses associated with an `AnalyzedToken` may be empty. This means that no analyis was found for the given token.  

The string value for the token in an `AnalyzedToken`  represents the string as it appears in the cited text.  The string for the token in an `Analysis` represents the string that was analyzed.  These two values may or may not be identical.  If the token was normalized in some way before analysis (e.g., adjusting case or accent) they may differ.

The following page illustrates functions analyzing an entire corpus.



